# Interface SignOnlySigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends Chain

#### Hierarchy

- SignerBase<C>
  - SignOnlySigner

#### Implemented by

- CosmwasmEvmSigner
- CosmwasmSigner
- EvmSigner
- SolanaSigner

- Defined in definitions/src/signer.ts:26

#####
Index

### Methods

address
chain
sign

## Methods

### address

- address(): string

- #### Returns string

  Inherited from SignerBase.address

  - Defined in definitions/src/signer.ts:20

### chain

- chain(): C

- #### Returns C

  Inherited from SignerBase.chain

  - Defined in definitions/src/signer.ts:19

### sign

- sign(tx): Promise<any[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<N, C>[]

  #### Returns Promise<any[]>

  - Defined in definitions/src/signer.ts:27

Generated using TypeDoc